Prošle nedelje WordPress je objavio najnoviju verziju (4.7.2) popularne platforme, ispravljajući njome tri bezbednosna propusta u verziji 4.7.1 i starijim verzijama.
Ono što tim WordPressa nije saopštio javnosti je da je tada tajno ispravljen i 0-day bag koji omogućava hakerima da sa daljine menjaju ili brišu sadržaj stranica na WordPress sajtu.
Bezbednosni propust o kome je ovde reč je otkrio istraživač iz kompanije Sucuri, Mark Aleksandar Monpas. On je svoje otkriće podelio sa timom WordPressa 20. januara koji je brzo ispravio bag, testirao ispravku i uključio je u ažuriranje koje je objavljeno 26. januara.
Ipak, ne radi se o tome da tim WordPressa nije želeo da upozori korisnike da su u opasnosti, već je želeo da drži hakere dalje od servisa dok korisnici ne budu zaštićeni.
Bag koji je prisutan u verzijama 4.7 i 7.7.1. omogućava hakerima da izmene sve stranice na nezakrpljenim sajtovima i da preusmeravaju posetioce na maliciozne sajtove.
WordPress je odlučio da sačeka nedelju dana pre nego što je kompanija izašla sa objašnjenjem u javnost i apelovala na sve koji to nisu učinili ranije da hitno preuzmu najnoviju verziju WordPressa.

Izvor: Informacija

Objavljeno: